Subject: Re: [PATCH net-next 04/11] udp: Handle VRF device in sendmsg

From: David Ahern <[email-masked]>
Date: Fri, 14 Aug 2015 23:29:53 -0600

On 8/14/15 9:16 PM, Tom Herbert wrote:
> At least collect this code into one (static inline) function to better
> minimize the code churn in udp. If this is general functionality that
> can be used by other drivers then abstract it out as such. Also, if
> the VRF driver is not configured it seems like this code should
> compiled out. As it stands now "if (netif_index_is_vrf(net, ipc.oif))
> {" adds a conditional to every call of udp_sendmsg rather or not we
> are using VRF :-(.

Sure. I wanted to make sure all of the VRF related changes compiled out 
when the VRF driver is not enabled. This one slipped by me. I'll send a 
patch next week along with a couple of others per Eric D's comments.

David